# driveItems.sharedWithMe

List items shared directly with the user via share grants.

`GET /api/v1/drive-items/shared-with-me`

- SDK: [`tb.driveItems.sharedWithMe(input)`](/sdk)
- CLI: [`thinkbench drive-items shared-with-me`](/cli)
- MCP tool: [`drive_items_shared_with_me`](/mcp)

## Input

This operation takes no input.

## Output

| Field | Type | Description |
| --- | --- | --- |
| `items` | [DriveItem](/api/objects/drive-item)`[]` |  |

## Examples

### curl

```bash
curl "https://app.thinkbench.com/api/v1/drive-items/shared-with-me" \
  -H "x-api-key: $THINKBENCH_API_KEY"
```

### TypeScript SDK

```ts
const result = await tb.driveItems.sharedWithMe();
```

### CLI

```bash
thinkbench drive-items shared-with-me
```

### MCP

```json
{
  "name": "drive_items_shared_with_me",
  "arguments": {}
}
```
